Index: debian/po/POTFILES.in
===================================================================
--- debian/po/POTFILES.in	(revision b7d3cc34f68dab7b8f7d0777711317b334fc2219)
+++ debian/po/POTFILES.in	(revision b7d3cc34f68dab7b8f7d0777711317b334fc2219)
@@ -0,0 +1,1 @@
+[type: gettext/rfc822deb] bitlbee.templates.master
Index: debian/rules
===================================================================
--- debian/rules	(revision 210d1d9cf4366d9933c02383300175e4b573be61)
+++ debian/rules	(revision b7d3cc34f68dab7b8f7d0777711317b334fc2219)
@@ -1,128 +1,100 @@
 #!/usr/bin/make -f
-#
-# Finally switching to debhelper.
-#
-# Not using debhelper was an exercise suggested to me by my AM (Gergely
-# Nagy). It was educating at the time but I finally decided that the
-# exercise is over now.
-#
 
-# Include the bitlbee-libpurple variant and OTR plugin by default.
-BITLBEE_LIBPURPLE ?= 1
-BITLBEE_OTR ?= plugin
-BITLBEE_CONFIGURE_FLAGS ?=
 DEBUG ?= 0
 
-ifndef BITLBEE_VERSION
-# Want to use the full package version number instead of just the release.
-BITLBEE_CONFIGURE_VERSION ?= BITLBEE_VERSION="$(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')"
+ifeq (,$(wildcard /usr/bin/po2debconf))
+PO2DEBCONF := no
+MINDEBCONFVER := 0.5
+else
+PO2DEBCONF := yes
+MINDEBCONFVER := 1.2.0
 endif
 
-ifneq ($(BITLBEE_LIBPURPLE),1)
-DH_OPTIONS += -Nbitlbee-libpurple
+
+build-arch: build-arch-stamp
+build-arch-stamp:
+	if [ ! -d debian ]; then exit 1; fi
+	./configure --debug=$(DEBUG) --prefix=/usr --etcdir=/etc/bitlbee $(DEB_BUILD_OPTIONS)
+	$(MAKE)
+#	$(MAKE) -C doc/ all
+	touch build-arch-stamp
+
+clean:
+	if [ "`whoami`" != "root" -o ! -d debian ]; then exit 1; fi
+	rm -rf build-arch-stamp debian/bitlbee debian/*.substvars debian/files
+	-$(MAKE) distclean
+#	-$(MAKE) -C doc/ clean
+ifeq ($(PO2DEBCONF),yes)
+	# Hack for woody compatibility. This makes sure that the
+	# debian/templates file shipped in the source package doesn't
+	# specify encodings, which woody's debconf can't handle. If building
+	# on a system with po-debconf installed (conveniently debhelper (>=
+	# 4.1.16) depends on it), the binary-arch target will generate a
+	# better version for sarge.
+	echo 1 > debian/po/output
+	po2debconf debian/bitlbee.templates.master > debian/bitlbee.templates
+	rm -f debian/po/output
+endif
+				
+
+install-arch: build-arch
+	if [ "`whoami`" != "root" -o ! -d debian ]; then exit 1; fi
+	mkdir -p debian/bitlbee/DEBIAN/
+	$(MAKE) install install-etc DESTDIR=`pwd`/debian/bitlbee
+
+	mkdir -p debian/bitlbee/usr/share/doc/bitlbee/
+	cp doc/user-guide/user-guide.txt debian/bitlbee/usr/share/doc/bitlbee/
+	cp doc/user-guide/user-guide.html debian/bitlbee/usr/share/doc/bitlbee/
+
+binary-arch: build-arch install-arch
+	if [ "`whoami`" != "root" -o ! -d debian ]; then exit 1; fi
+
+	chmod 755 debian/bitlbee.p* debian/bitlbee.config
+
+	mkdir -p debian/bitlbee/usr/share/doc/bitlbee/examples/
+	-cp doc/RELEASE-SPEECH* debian/bitlbee/usr/share/doc/bitlbee/ && gzip -9 debian/bitlbee/usr/share/doc/bitlbee/RELEASE-SPEECH*
+	cp doc/CREDITS doc/AUTHORS doc/TODO doc/README doc/FAQ debian/README.Debian debian/bitlbee/usr/share/doc/bitlbee/
+	cp debian/changelog debian/bitlbee/usr/share/doc/bitlbee/changelog.Debian
+	cp debian/copyright debian/bitlbee/usr/share/doc/bitlbee/copyright
+	cp doc/CHANGES debian/bitlbee/usr/share/doc/bitlbee/changelog
+	cp utils/* debian/bitlbee/usr/share/doc/bitlbee/examples/
+	cp debian/motd.txt debian/bitlbee/etc/bitlbee/
+	cd debian/bitlbee/usr/share/; \
+		gzip -9 doc/bitlbee/changelog.Debian doc/bitlbee/changelog doc/bitlbee/user-guide.txt \
+		        doc/bitlbee/examples/* man/man8/bitlbee.8 man/man5/bitlbee.conf.5
+	
+	chown -R root.root debian/bitlbee/
+	find debian/bitlbee/usr/share/ -type d -exec chmod 755 {} \;
+	find debian/bitlbee/usr/share/ -type f -exec chmod 644 {} \;
+	
+	cp debian/bitlbee.preinst debian/bitlbee/DEBIAN/preinst
+	cp debian/bitlbee.postinst debian/bitlbee/DEBIAN/postinst
+	cp debian/bitlbee.postrm debian/bitlbee/DEBIAN/postrm
+	cp debian/bitlbee.config debian/bitlbee/DEBIAN/config
+ifeq ($(PO2DEBCONF),yes)
+	po2debconf -e utf8 debian/bitlbee.templates.master > debian/bitlbee.templates
+endif
+	cp debian/bitlbee.templates debian/bitlbee/DEBIAN/templates
+	cp debian/bitlbee.conffiles debian/bitlbee/DEBIAN/conffiles
+	
+	if [ "$(DEBUG)" = "0" ]; then strip -R .comment -R .note debian/bitlbee/usr/sbin/bitlbee; fi
+
+	cd debian/bitlbee; \
+		find usr -type f -exec md5sum {} \; > DEBIAN/md5sums
+	dpkg-shlibdeps -Tdebian/bitlbee.substvars -dDepends debian/bitlbee/usr/sbin/bitlbee
+ifdef BITLBEE_VERSION
+	dpkg-gencontrol -ldebian/changelog -isp -pbitlbee -Tdebian/bitlbee.substvars -Pdebian/bitlbee -v$(BITLBEE_VERSION)-0 -V'debconf-depends=debconf (>= $(MINDEBCONFVER)) | debconf-2.0'
+else
+	dpkg-gencontrol -ldebian/changelog -isp -pbitlbee -Tdebian/bitlbee.substvars -Pdebian/bitlbee -V'debconf-depends=debconf (>= $(MINDEBCONFVER)) | debconf-2.0'
 endif
 
-ifneq ($(BITLBEE_OTR),plugin)
-DH_OPTIONS += -Nbitlbee-plugin-otr
-endif
+	dpkg --build debian/bitlbee ..
 
-CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
-CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
-LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
-
-CONFIGURE_OVERRIDES:=CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
-
-HAS_DH_SYSTEMD:=$(shell dpkg-query -W -f='$${Status}' dh-systemd 2>/dev/null | grep -c "ok installed")
-
-build-arch: build
-
-build: build-stamp
-build-stamp:
-	dh_testdir
-
-	mkdir -p debian/build-native
-	ROOT=$$PWD; cd debian/build-native; $(BITLBEE_CONFIGURE_VERSION) $(CONFIGURE_OVERRIDES) $$ROOT/configure --debug=$(DEBUG) --prefix=/usr --etcdir=/etc/bitlbee --events=libevent --otr=$(BITLBEE_OTR) --systemdsystemunitdir=/lib/systemd/system --pcdir=/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig $(BITLBEE_CONFIGURE_FLAGS)
-	$(MAKE) -C debian/build-native
-
-ifeq ($(BITLBEE_LIBPURPLE),1)
-	mkdir -p debian/build-libpurple
-	ROOT=$$PWD; cd debian/build-libpurple; $(BITLBEE_CONFIGURE_VERSION) $(CONFIGURE_OVERRIDES) $$ROOT/configure --debug=$(DEBUG) --prefix=/usr --etcdir=/etc/bitlbee --systemdsystemunitdir=/lib/systemd/system --pcdir=/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig --purple=1 $(BITLBEE_CONFIGURE_FLAGS)
-	$(MAKE) -C debian/build-libpurple
-endif
-
-	$(MAKE) -C doc
-	$(MAKE) -C doc/user-guide
-
-	touch build-stamp
-
-clean:
-	dh_testdir
-	dh_testroot
-	rm -f build-stamp
-
-	rm -rf build-arch-stamp debian/build-* debian/bitlbee-libpurple.prerm
-	$(MAKE) distclean
-
-	dh_clean
-
-install: build
-	dh_testdir
-	dh_testroot
-	dh_prep
-	dh_installdirs
-
-	$(MAKE) -C debian/build-native install-bin DESTDIR=`pwd`/debian/bitlbee
-	$(MAKE) -C debian/build-native install-etc install-doc DESTDIR=`pwd`/debian/bitlbee-common
-	$(MAKE) -C debian/build-native install-dev DESTDIR=`pwd`/debian/bitlbee-dev
-	$(MAKE) -C debian/build-native install-plugin-otr DESTDIR=`pwd`/debian/bitlbee-plugin-otr
-
-ifeq ($(HAS_DH_SYSTEMD),1)
-	$(MAKE) -C debian/build-native install-systemd DESTDIR=`pwd`/debian/bitlbee-common
-endif
-
-ifeq ($(BITLBEE_LIBPURPLE),1)
-	$(MAKE) -C debian/build-libpurple install-bin DESTDIR=`pwd`/debian/bitlbee-libpurple
-	ln -sf debian/bitlbee.prerm debian/bitlbee-libpurple.prerm
-endif
-
-	patch debian/bitlbee-common/etc/bitlbee/bitlbee.conf debian/patches/bitlbee.conf.diff
-	chmod 640 debian/bitlbee-common/etc/bitlbee/bitlbee.conf
-
-binary-common:
-	dh_testdir
-	dh_testroot
-
-	dh_installexamples
-	dh_installdocs --link-doc=bitlbee-common
-	dh_installchangelogs doc/CHANGES
-	dh_installdebconf
-ifeq ($(HAS_DH_SYSTEMD),1)
-	dh_systemd_enable -p bitlbee-common --no-enable bitlbee.socket
-	dh_systemd_enable -p bitlbee-common bitlbee.service
-	dh_installinit -p bitlbee-common --init-script=bitlbee
-	dh_systemd_start -p bitlbee-common
-else
-	dh_installinit -p bitlbee-common --init-script=bitlbee
-endif
-	dh_installman
-	dh_lintian
-	dh_strip
-	dh_link
-	dh_compress
-	dh_fixperms
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
-
-binary-arch: build install
-	DH_OPTIONS=-a $(MAKE) -f debian/rules binary-common
-
-binary-%: build install
-	DH_OPTIONS=-p$* $(MAKE) -f debian/rules binary-common
+debug-build:
+	BITLBEE_VERSION=\"`date +%Y%m%d`-`hostname`-debug\" debian/rules clean binary DEBUG=1
 
 binary: binary-arch
-.PHONY: build clean binary-arch binary-common binary install build-indep
+build: build-arch
+install: install-arch
 
-build-indep:
+.PHONY: build-arch build clean binary-arch binary install-arch install
Index: debug.c
===================================================================
--- debug.c	(revision b7d3cc34f68dab7b8f7d0777711317b334fc2219)
+++ debug.c	(revision b7d3cc34f68dab7b8f7d0777711317b334fc2219)
@@ -0,0 +1,60 @@
+  /********************************************************************\
+  * BitlBee -- An IRC to other IM-networks gateway                     *
+  *                                                                    *
+  * Copyright 2002-2004 Wilmer van der Gaast and others                *
+  \********************************************************************/
+
+/* Random debug stuff                                                  */
+
+/*
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  GNU General Public License for more details.
+
+  You should have received a copy of the GNU General Public License with
+  the Debian GNU/Linux distribution in /usr/share/common-licenses/GPL;
+  if not, write to the Free Software Foundation, Inc., 59 Temple Place,
+  Suite 330, Boston, MA  02111-1307  USA
+*/
+
+#define BITLBEE_CORE
+#include "bitlbee.h"
+
+GHashTable *iocounter=NULL;
+FILE *activity_output;
+
+static void for_each_node(gpointer key, gpointer value, gpointer user_data);
+
+void count_io_event(GIOChannel *source, char *section) {
+	long int *newcounter;
+
+	if(iocounter==NULL) {
+		iocounter=g_hash_table_new(NULL, NULL);
+	}
+
+	if(g_hash_table_lookup(iocounter, section)==NULL) {
+		newcounter=g_new0(long int, 1);
+		g_hash_table_insert(iocounter, section, newcounter);
+	} else {
+		newcounter=g_hash_table_lookup(iocounter, section);
+		(*newcounter)++;	
+	}	 	
+}
+
+void write_io_activity(void) {
+	activity_output=fopen("ioactivity.log", "a");
+	fprintf(activity_output, "Amount of GIO events raised for each section of the code:\n");
+	g_hash_table_foreach(iocounter, &for_each_node, NULL);
+	fprintf(activity_output, "End of list\n");
+	fclose(activity_output);
+}
+
+static void for_each_node(gpointer key, gpointer value, gpointer user_data) {
+	fprintf(activity_output, "%s %ld\n", (char *)key, (*(long int *)value));
+}
Index: debug.h
===================================================================
--- debug.h	(revision b7d3cc34f68dab7b8f7d0777711317b334fc2219)
+++ debug.h	(revision b7d3cc34f68dab7b8f7d0777711317b334fc2219)
@@ -0,0 +1,33 @@
+  /********************************************************************\
+  * BitlBee -- An IRC to other IM-networks gateway                     *
+  *                                                                    *
+  * Copyright 2002-2004 Wilmer van der Gaast and others                *
+  \********************************************************************/
+
+/* Random debug stuff                                                 */
+
+/*
+  This program is free software; you can redistribute it and/or modify
+  it under the terms of the GNU General Public License as published by
+  the Free Software Foundation; either version 2 of the License, or
+  (at your option) any later version.
+
+  This program is distributed in the hope that it will be useful,
+  but WITHOUT ANY WARRANTY; without even the implied warranty of
+  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  GNU General Public License for more details.
+
+  You should have received a copy of the GNU General Public License with
+  the Debian GNU/Linux distribution in /usr/share/common-licenses/GPL;
+  if not, write to the Free Software Foundation, Inc., 59 Temple Place,
+  Suite 330, Boston, MA  02111-1307  USA
+*/
+
+#ifndef _DEBUG_H
+
+void count_io_event(GIOChannel *source, char *section);
+void write_io_activity(void);
+
+#define _DEBUG_H
+#endif
+
Index: doc/AUTHORS
===================================================================
--- doc/AUTHORS	(revision 210d1d9cf4366d9933c02383300175e4b573be61)
+++ doc/AUTHORS	(revision b7d3cc34f68dab7b8f7d0777711317b334fc2219)
@@ -1,26 +1,8 @@
-Core team:
+Current developers:
 
 Wilmer van der Gaast <wilmer@gaast.net>
-	BDFL, patch committer, etc.
+	Main developer
 
-dequis <dx@dxzone.com.ar>
-	Mysterious maintainer
-
-
-Other contributors:
-
-Miklos Vajna <vmiklos@vmiklos.hu>
-	Skype module
-
-pesco <pesco@khjk.org>
-	OTR support
-
-
-Retired developers:
-
-Sjoerd 'lucumo' Hemminga <sjoerd@hemminga-online.nl>
-	NickServ, documentation
-
-Jelmer Vernooĳ <jelmer@jelmer.uk>
+Jelmer 'ctrlsoft' Vernooij <jelmer@nl.linux.org>
 	Documentation, general hacking, Win32 port
 
@@ -28,8 +10,10 @@
 	Daemon dude, plus some other stuff
 
-Geert Mulders <g.c.w.m.mulders@gmail.com>
-	Initial version of the Twitter module
 
-ulim <a.sporto+bee@gmail.com>
-Marijn Kruisselbrink
-	File transfer support
+Retired developer:
+
+Sjoerd 'lucumo' Hemminga <sjoerd@hemminga-online.nl>
+	NickServ, documentation
+
+The development team wishes to thank Sjoerd for his contributions to the
+Bee.
